Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.plans.list_storage()
# Handle response
print(res)package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.Plans.ListStorage(ctx, nil, nil)
if err != nil {
log.Fatal(err)
}
if res.StoragePlans != nil {
// handle response
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.plans.listStorage();
console.log(result);
}
run();curl --request GET \
--url https://api.latitude.sh/plans/storage \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/plans/storage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "plan_059EqY7kOQj8p",
"type": "storage_plans",
"attributes": {
"name": "Filesystem",
"storage_type": "filesystem",
"storage_class": null,
"regions": [
{
"name": "United States",
"locations": [
"DAL"
],
"pricing": {
"USD": {
"month": 0.12
},
"BRL": {
"month": 0.68
}
}
}
]
}
}
]
}Plans
List storage plans
GET
/
plans
/
storage
Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.plans.list_storage()
# Handle response
print(res)package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.Plans.ListStorage(ctx, nil, nil)
if err != nil {
log.Fatal(err)
}
if res.StoragePlans != nil {
// handle response
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.plans.listStorage();
console.log(result);
}
run();Authorizations
Query Parameters
Filter by storage type (filesystem or object)
Filter by storage class (standard or high_performance)
Was this page helpful?
⌘I